Wrong ownership for /var/log/horizon

Bug #1224770 reported by Mathieu Gagné on 2013-09-13
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
puppet-horizon
High
Chris Hoge
Havana
Undecided
Unassigned

Bug Description

When installing Horizon with puppet-horizon, /var/log/horizon ends up with wrong ownership (www-data).

Horizon is now running under the user 'horizon', not 'www-data'.

Tested against Horizon Havana using Ubuntu Cloud Archive.

Mathieu Gagné (mgagne) on 2013-09-13
Changed in puppet-horizon:
status: New → Triaged
importance: Undecided → High
Changed in puppet-horizon:
assignee: nobody → Chris Hoge (hoge)
status: Triaged → In Progress

Reviewed: https://review.openstack.org/50185
Committed: http://github.com/stackforge/puppet-horizon/commit/52f4a1277c69a4cd9609a0b026560354c9a19268
Submitter: Jenkins
Branch: master

commit 52f4a1277c69a4cd9609a0b026560354c9a19268
Author: Chris Hoge <email address hidden>
Date: Mon Oct 7 15:26:50 2013 -0700

    Preparing for 2.2.0 release.

    Updated Modulefile version.
    Updated README.md release notes.

    Closes-bug: #1224770

    Change-Id: If3f334c524a56dc9fa65a312897112ce0207fe1c

Changed in puppet-horizon:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/50173
Committed: http://github.com/stackforge/puppet-horizon/commit/46c48eda06c4ac3e3b303c5099f49e59da5006a8
Submitter: Jenkins
Branch: master

commit 46c48eda06c4ac3e3b303c5099f49e59da5006a8
Author: Matthew Black <email address hidden>
Date: Mon Oct 7 17:36:10 2013 -0400

    Updated user and group in debian params.

    The havana release of horizon has the wsgi process
    user and group as horizon in the debian packages.

    Closes-bug: #1224770

    Change-Id: I9a36ac12188d71721d16160055f3dc6fcd88b03e

Reviewed: https://review.openstack.org/50440
Committed: http://github.com/stackforge/puppet-horizon/commit/d8a0019a9b2267dac2002fd6c74597d43a6a529c
Submitter: Jenkins
Branch: stable/grizzly

commit d8a0019a9b2267dac2002fd6c74597d43a6a529c
Author: Chris Hoge <email address hidden>
Date: Mon Oct 7 15:26:50 2013 -0700

    Preparing for 2.2.0 release.

    Updated Modulefile version.
    Updated README.md release notes.

    Closes-bug: #1224770

    Change-Id: If3f334c524a56dc9fa65a312897112ce0207fe1c
    (cherry picked from commit 52f4a1277c69a4cd9609a0b026560354c9a19268)

tags: added: in-stable-grizzly
Sebastien Badia (sbadia) wrote :

On Debian the user is still www-data, so we have now a problem on debian…

When installing Horizon with puppet-horizon, /var/log/horizon ends up with wrong ownership (horizon).
Horizon is now running under the user 'www-data', not 'horizon'.

WSGIDaemonProcess horizon user=www-data group=www-data
Please see http://anonscm.debian.org/gitweb/?p=openstack/horizon.git;a=blob;f=debian/apache-sites-available/openstack-dashboard.conf

But indeed on Ubuntu, it's ok (horizon_2014.1~b1-0ubuntu1.debian.tar.gz)
WSGIDaemonProcess horizon user=horizon group=horizon processes=3 threads=10

Reviewed: https://review.openstack.org/63798
Committed: https://git.openstack.org/cgit/stackforge/puppet-horizon/commit/?id=e6c0c9aa4b396655e2aa1663c07be7b00b652d57
Submitter: Jenkins
Branch: master

commit e6c0c9aa4b396655e2aa1663c07be7b00b652d57
Author: Sebastien Badia <email address hidden>
Date: Mon Dec 23 18:34:49 2013 +0100

    Fix user/group for debian operating system

    The commit 46c48eda06c4ac3e3b303c5099f49e59da5006a8 fixes the problem
    on ubuntu but it introduces a regression on debian.
    Please see #1224770/comments/5

    Change-Id: Id2764a840c04035443fef06719d31125ba34165c
    Closes-bug: #1224770

Reviewed: https://review.openstack.org/65301
Committed: https://git.openstack.org/cgit/stackforge/puppet-horizon/commit/?id=934a987751e32045b866f3df8a5e3c0bcd216df2
Submitter: Jenkins
Branch: stable/havana

commit 934a987751e32045b866f3df8a5e3c0bcd216df2
Author: Sebastien Badia <email address hidden>
Date: Mon Dec 23 18:34:49 2013 +0100

    Fix user/group for debian operating system

    The commit 46c48eda06c4ac3e3b303c5099f49e59da5006a8 fixes the problem
    on ubuntu but it introduces a regression on debian.
    Please see #1224770/comments/5

    Change-Id: Id2764a840c04035443fef06719d31125ba34165c
    Closes-bug: #1224770
    (cherry picked from commit e6c0c9aa4b396655e2aa1663c07be7b00b652d57)

tags: added: in-stable-havana
Mathieu Gagné (mgagne) on 2014-01-13
Changed in puppet-horizon:
milestone: none → 3.0.0-rc1
milestone: 3.0.0-rc1 → 3.0.0
Mathieu Gagné (mgagne) on 2014-01-16
Changed in puppet-horizon:
milestone: 3.0.0 → none
tags: removed: in-stable-grizzly
no longer affects: puppet-horizon/grizzly

Reviewed: https://review.openstack.org/87120
Committed: https://git.openstack.org/cgit/stackforge/puppet-horizon/commit/?id=d9e93ff61574660fa26f88e3a72d4ce9322b424a
Submitter: Jenkins
Branch: master

commit d9e93ff61574660fa26f88e3a72d4ce9322b424a
Author: Emilien Macchi <email address hidden>
Date: Sun Apr 13 18:12:13 2014 +0200

    Fix wsgi_user and wsgi_group for RHEL

    In RHEL, wsgi_user and wsgi_group should be "apache" and not
    "dashboard".

    Closes-bug #1224770
    Signed-off-by: Emilien Macchi <email address hidden>

    Change-Id: I253b90a55d33d927e318400a69243925b7245aa4

Mathieu Gagné (mgagne) on 2015-03-26
Changed in puppet-horizon:
milestone: none → 4.0.0
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers